Skip to main content
PUT
Update business product

Authorizations

Authorization
string
header
required

Polymorfa organization key (pmfa_ prefix), project token (pmfa_pt_ prefix) where supported, or short-lived client token (pmfa_ct_ prefix). Organization and project keys may be personal or service-account owned and enforce selected action scopes. Organization keys cover the team and its projects; project tokens stay inside one project. Client tokens stay inside their live project and session and enforce their client rules.

Path Parameters

session
string
required

Identifier of the connected Polymorfa session.

productId
string
required

Identifier for the product.

Value constraints

Maximum string length: 256

Body

application/json
name
string
required

Human-readable name for this resource.

Value constraints

Required string length: 1 - 256
images
object[]
required

Images attached to or representing this resource.

Value constraints

Required array length: 1 - 10 elements
description
string

Human-readable description of this resource.

Value constraints

Maximum string length: 4096
currency
string

ISO 4217 currency code.

Value constraints

Pattern: ^[A-Z]{3}$
price
string

Price as a digit string in thousandths of the declared currency unit.

Value constraints

Pattern: ^\d{1,18}$
salePrice
string

Optional discounted price as a digit string in thousandths of the declared currency unit.

Value constraints

Pattern: ^\d{1,18}$
url
string<uri>

URL associated with this resource.

Value constraints

Maximum string length: 2048
retailerId
string

Merchant-defined identifier for the catalog item.

Value constraints

Maximum string length: 256
hidden
boolean

Whether this resource is hidden from ordinary listings.

videoUrls
string<uri>[]

Video urls associated with this native business product mutation request.

Value constraints

Maximum array length: 10
Maximum string length: 4096
complianceCategory
string

Specifies compliance category for this native business product mutation request.

Value constraints

Maximum string length: 128
compliance
object

Structured compliance values for this native business product mutation request.

width
integer

Width in pixels.

Value constraints

Required range: 1 <= x <= 1024
height
integer

Height in pixels.

Value constraints

Required range: 1 <= x <= 1024

Response

Product updated

success
enum<boolean>
required

Whether the request succeeded.

Allowed values

Available options:
true
data
object
required

Structured data carried by this object.